Bug 620875 - Review Request: wmfrog - A weather application, it shows the weather in a graphical way
Summary: Review Request: wmfrog - A weather application, it shows the weather in a gra...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL: http://wiki.colar.net/wmfrog_dockapp
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-03 16:46 UTC by Petr Pisar
Modified: 2010-08-09 09:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-06 08:06:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2010-08-03 16:46:33 UTC
Spec URL: <spec info here>
SRPM URL: <srpm info here>
Description: <description here>

Comment 1 Petr Pisar 2010-08-03 16:53:46 UTC
I'm sorry for the stub, I pressed Enter to soon. Here it is:

Spec URL: http://ppisar.fedorapeople.org/wmfrog/wmfrog.spec
SRPM URL: http://ppisar.fedorapeople.org/wmfrog/wmfrog-0.2.0-1.fc13.src.rpm
Description:
This is a weather application, it shows the weather in a graphical way. The
artwork looks like a kiddo did it, but that's part of the charm… Ok, I did it
when I was 25, I'm a programmer not a designer :)

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2377042

$ rpmlint wmfrog.spec ../SRPMS/wmfrog-0.2.0-1.fc13.src.rpm ../RPMS/x86_64/wmfrog-*
wmfrog.x86_64: W: no-manual-page-for-binary wmfrog
3 packages and 1 specfiles checked; 0 errors, 1 warnings.

Simple X11 WindowMaker-style dockable application. Requires perl and wget in addition. Because user has to supply some arguments, there is no XDG menu integration. Example:

$ wmfrog -station LKTB -metric -o +02

Shows weather in Brno, Czech Republic in UTC+2 time zone.

Comment 2 Marcela Mašláňová 2010-08-04 11:10:50 UTC
rpmlint
wmfrog.x86_64: W: no-manual-page-for-binary wmfrog

According to Fedora policy, patches should be sent to upstream.

md5sum d5ce36bf0edb93026c0e605972e03926 ok

Comment 3 Petr Pisar 2010-08-04 12:01:05 UTC
New Package SCM Request
=======================
Package Name: wmfrog
Short Description: A weather application, it shows the weather in a graphical way
Owners: ppisar
Branches: f12 f13 f14
InitialCC:

Comment 4 Kevin Fenzi 2010-08-05 17:11:03 UTC
Git done (by process-git-requests).

Comment 5 Petr Pisar 2010-08-06 08:06:20 UTC
Vielen Dank für Review.
Thanks for repository preparation.
Package has been built and submitted to updates.

Comment 6 Chen Lei 2010-08-09 09:03:59 UTC
Maybe Amusements/Graphics is more suitable for the rpm GROUP since User Interface/X seems not the right GROUP.

See 

rpm -qg 'Amusements/Graphics'

rpm -qg 'User Interface/X'

Comment 7 Petr Pisar 2010-08-09 09:30:59 UTC
I'll change it in GIT repository to be prepared for next release. Actually, I inspired by wmCalClock, the only other wm* package.


Note You need to log in before you can comment on or make changes to this bug.